### Hierarchy

- LayertreeController

## Index

### Properties

- children
- dataSource_
- depth
- isRoot
- layer
- listenersExpr
- map
- node
- nodelayerExpr
- parent
- properties
- rootScope_
- state_
- uid

### Methods

- getCalculateState
- getDataSource
- getSetActive
- getState
- refreshState
- setDataSource
- setState
- setStateInternal_
- traverseDepthFirst

## Properties

### children

children: LayertreeController[]

- Defined in src/layertree/Controller.js:95

### dataSource_

dataSource_: DataSource

- Defined in src/layertree/Controller.js:162

### depth

depth: number

- Defined in src/layertree/Controller.js:117

### isRoot

isRoot: boolean

- Defined in src/layertree/Controller.js:47

### layer

layer: LayerGroup | Layer<Source, any>

- Defined in src/layertree/Controller.js:150

### listenersExpr

listenersExpr: string

- Defined in src/layertree/Controller.js:193

### map

map: Map

- Defined in src/layertree/Controller.js:130

### node

node: any

- Defined in src/layertree/Controller.js:69

### nodelayerExpr

nodelayerExpr: string

- Defined in src/layertree/Controller.js:144

### parent

parent: LayertreeController

- Defined in src/layertree/Controller.js:90

### properties

properties: Object

- Defined in src/layertree/Controller.js:59

### rootScope_

rootScope_: IScope

- Defined in src/layertree/Controller.js:54

### state_

state_: string

- Defined in src/layertree/Controller.js:64

### uid

uid: string

- Defined in src/layertree/Controller.js:112

## Methods

### getCalculateState

- getCalculateState(): string

- - Defined in src/layertree/Controller.js:306

  Return the current state, calculate on all its children recursively.

  #### Returns string

  'on', 'off' or 'indeterminate'.

### getDataSource

- getDataSource(): DataSource

- - Defined in src/layertree/Controller.js:354

  #### Returns DataSource

  dataSource The data source bound to this layer tree controller.

### getSetActive

- getSetActive(val: boolean): boolean

- - Defined in src/layertree/Controller.js:333

  #### Parameters

  - ##### val: boolean

    Value.

  #### Returns boolean

  Value.

### getState

- getState(): string

- - Defined in src/layertree/Controller.js:209

  Return the current state.

  #### Returns string

  'on', 'off', 'indeterminate'.

### refreshState

- refreshState(opt_onChild: LayertreeController, opt_broadcast: boolean): void

- - Defined in src/layertree/Controller.js:274

  Refresh the state of this treeCtrl based on it's children value. The call its parent to do the same.

  #### Parameters

  - ##### opt_onChild: LayertreeController

  - ##### opt_broadcast: boolean

  #### Returns void

### setDataSource

- setDataSource(dataSource: DataSource): void

- - Defined in src/layertree/Controller.js:361

  #### Parameters

  - ##### dataSource: DataSource

    Data source or null.

  #### Returns void

### setState

- setState(state: string, opt_broadcast: boolean): void

- - Defined in src/layertree/Controller.js:220

  Set the state of this treeCtrl. Update its children with its value and then ask its parent to refresh its state.

  #### Parameters

  - ##### state: string

    'on' or 'off'.

  - ##### opt_broadcast: boolean

  #### Returns void

### setStateInternal_

- setStateInternal_(state: string): void

- - Defined in src/layertree/Controller.js:243

  #### Parameters

  - ##### state: string

    'on' or 'off'.

  #### Returns void

### traverseDepthFirst

- traverseDepthFirst(visitor: Visitor): boolean

- - Defined in src/layertree/Controller.js:402

  Recursive method to traverse the layertree controller graph.

  #### Parameters

  - ##### visitor: Visitor

    A visitor called for each node.

  #### Returns boolean

  whether to stop traversing.

Generated using TypeDoc